Loading...
Searching...
No Matches
cl::detail::GetInfoFunctor0< Func, Arg0 > Struct Template Reference

## Public Member Functions

cl_int | operator() (cl_uint param, size_type size, void *value, size_type *size_ret)

## Public Attributes

Func | f_
const Arg0 & | arg0_

## Detailed Description

template<typename Func, typename Arg0>
struct cl::detail::GetInfoFunctor0< Func, Arg0 >

Definition at line 1945 of file opencl.hpp.

## Member Function Documentation

## operator()()

template<typename Func, typename Arg0>

cl_int cl::detail::GetInfoFunctor0< Func, Arg0 >::operator() | ( | cl_uint | param,
|  | size_type | size,
|  | void * | value,
|  | size_type * | size_ret )

inline

Definition at line 1948 of file opencl.hpp.

## Member Data Documentation

## arg0_

template<typename Func, typename Arg0>

const Arg0& cl::detail::GetInfoFunctor0< Func, Arg0 >::arg0_

Definition at line 1947 of file opencl.hpp.

## f_

template<typename Func, typename Arg0>

Func cl::detail::GetInfoFunctor0< Func, Arg0 >::f_

Definition at line 1947 of file opencl.hpp.

The documentation for this struct was generated from the following file:

- opencl.hpp